aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tvheadend-git/tvheadend-git.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-27 10:12:24 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-27 10:12:24 +0000
commit3f7c4a9bd7b19c08bc2be8e68dc8cdd6d6ff3519 (patch)
tree40e6199db8a10cbbfb99c2a688a34c5ae2ea4c68 /testing/tvheadend-git/tvheadend-git.initd
parent874b9df45561e9ee6268c24c81f35933864ea494 (diff)
downloadaports-3f7c4a9bd7b19c08bc2be8e68dc8cdd6d6ff3519.tar.bz2
aports-3f7c4a9bd7b19c08bc2be8e68dc8cdd6d6ff3519.tar.xz
testing/tvheadend-git: new snapshot
Diffstat (limited to 'testing/tvheadend-git/tvheadend-git.initd')
-rw-r--r--testing/tvheadend-git/tvheadend-git.initd9
1 files changed, 9 insertions, 0 deletions
diff --git a/testing/tvheadend-git/tvheadend-git.initd b/testing/tvheadend-git/tvheadend-git.initd
index 9b56313a8b..b72df33788 100644
--- a/testing/tvheadend-git/tvheadend-git.initd
+++ b/testing/tvheadend-git/tvheadend-git.initd
@@ -6,6 +6,9 @@ depend() {
start() {
ebegin "Starting tvheadend"
+
+ checkconf || return 1
+
start-stop-daemon --start \
--exec ${TVHBIN} -- \
-C -f -u ${TVHUSER} \
@@ -21,3 +24,9 @@ stop() {
eend $?
}
+checkconf() {
+ if [ ! -d "$TVHCONF" ]; then
+ eerror "config directory does not exist!"
+ return 1
+ fi
+}